Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ResourceManagerType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ResourceManagerTypeImpl

    public interface ResourceManagerType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `resource-managerType` xsd type

Original Documentation:

The resource-manager element is used to provide a mapping between the "xml
name" of a resource (res-name) and its "runtime jndi name" (res-jndi-name or res-url
according to the type of the resource). If it is not provided, and if the type of the
resource is javax.sql.DataSource, jboss will look for a javax.sql.DataSource in the jndi
tree. See resource-managers. Used in: resource-managers

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getResClass()` Returns the `res-class` element
`java.lang.String` | `getResJndiName()` Returns the `res-jndi-name` element
`java.lang.String` | `getResName()` Returns the `res-name` element
`java.lang.String` | `getResUrl()` Returns the `res-url` element
`ResourceManagerType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceManagerType<T>` | `removeResClass()` Removes the `res-class` attribute
`ResourceManagerType<T>` | `removeResJndiName()` Removes the `res-jndi-name` element
`ResourceManagerType<T>` | `removeResName()` Removes the `res-name` element
`ResourceManagerType<T>` | `removeResUrl()` Removes the `res-url` element
`ResourceManagerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceManagerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceManagerType<T>` | `setResClass(java.lang.String resClass)` Sets the `res-class` attribute
`ResourceManagerType<T>` | `setResJndiName(java.lang.String resJndiName)` If not already created, a new `res-jndi-name` element with the given value will be created.
`ResourceManagerType<T>` | `setResName(java.lang.String resName)` If not already created, a new `res-name` element with the given value will be created.
`ResourceManagerType<T>` | `setResUrl(java.lang.String resUrl)` If not already created, a new `res-url` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ResourceManagerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ResourceManagerType`

### setDescriptionList

    ResourceManagerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceManagerType`

### removeAllDescription

    ResourceManagerType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ResourceManagerType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setResName

    ResourceManagerType<T> setResName(java.lang.String resName)

  If not already created, a new `res-name` element with the given value will be created. Otherwise, the existing `res-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceManagerType`

### removeResName

    ResourceManagerType<T> removeResName()

  Removes the `res-name` element

  Returns:
    the current instance of `ResourceManagerType`

### getResName

    java.lang.String getResName()

  Returns the `res-name` element

  Returns:
    the node defined for the element `res-name`

### setResJndiName

    ResourceManagerType<T> setResJndiName(java.lang.String resJndiName)

  If not already created, a new `res-jndi-name` element with the given value will be created. Otherwise, the existing `res-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceManagerType`

### removeResJndiName

    ResourceManagerType<T> removeResJndiName()

  Removes the `res-jndi-name` element

  Returns:
    the current instance of `ResourceManagerType`

### getResJndiName

    java.lang.String getResJndiName()

  Returns the `res-jndi-name` element

  Returns:
    the node defined for the element `res-jndi-name`

### setResUrl

    ResourceManagerType<T> setResUrl(java.lang.String resUrl)

  If not already created, a new `res-url` element with the given value will be created. Otherwise, the existing `res-url` element will be updated with the given value.

  Returns:
    the current instance of `ResourceManagerType`

### removeResUrl

    ResourceManagerType<T> removeResUrl()

  Removes the `res-url` element

  Returns:
    the current instance of `ResourceManagerType`

### getResUrl

    java.lang.String getResUrl()

  Returns the `res-url` element

  Returns:
    the node defined for the element `res-url`

### setResClass

    ResourceManagerType<T> setResClass(java.lang.String resClass)

  Sets the `res-class` attribute

  Parameters:
    `resClass` - the value for the attribute `res-class`
  Returns:
    the current instance of `ResourceManagerType`

### removeResClass

    ResourceManagerType<T> removeResClass()

  Removes the `res-class` attribute

  Returns:
    the current instance of `ResourceManagerType`

### getResClass

    java.lang.String getResClass()

  Returns the `res-class` element

  Returns:
    the node defined for the element `res-class`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD